<template>
  <div class="app-body">
    <Navbar v-if="$route.name != 'home'" />
    <router-view v-if="backOnline" />
    <BackNotOnline v-else-if="!backOnline" />
  </div>
  <!--<Footer v-if="$route.name != 'home'" />-->
</template>

<script>
import Navbar from "@/components/Navbar.vue";
import Footer from "@/components/Footer.vue";
import BackNotOnline from "@/components/BackNotOnline.vue"
import axios from "axios";

export default {
  components: {
    Navbar,
    Footer,
    BackNotOnline
  },
  data() {
    return {
      backOnline: true
    }
  },
  methods: {
    async initSite() {
      await axios.get('/').then(res => {
        if (res.data == "Hello from FastAPI v2 !!!!") {
          this.backOnline = true
        } else {
          this.$store.commit('logout')
          this.backOnline = false
        }
      }).catch(err => {
        this.$store.commit('logout')
        this.backOnline = false
      })
    }
  },
  created() {
    this.initSite()
  }
};
</script>

<style>
body {
  margin: 0;
}

.p-orderlist-controls {
  display: none !important;
}

#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  overflow-x: hidden;
  color: #2c3e50;
}

.app-body {
  /*min-height: calc(100vh - 70px);
  overflow-y:auto*/
}
</style>